%define upstream_name    Net-Bonjour
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Module for DNS service discovery ( Zeroconf )
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CH/CHLIGE//%{upstream_name}-%{upstream_version}.tar.bz2
Patch1:     0.96-fix-failing-tests.patch

BuildRequires:  perl-Net-DNS
BuildArch:  noarch


Obsoletes: perl-Net-Rendezvous < 0.90
Provides:  perl-Net-Rendezvous = %{version}

%description
Net::Bonjour is a set of modules that allow one to discover local services
via multicast DNS (mDNS) or enterprise services via traditional DNS. This
method of service discovery has been branded as Rendezvous ( now Bonjour ) by
Apple Computer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.960.0-9pclos2017
- rebuild against updates

